[Full-disclosure] [ MDVSA-2010:013 ] transmission




-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

_______________________________________________________________________

Mandriva Linux Security Advisory MDVSA-2010:013
http://www.mandriva.com/security/
_______________________________________________________________________

Package : transmission
Date : January 18, 2010
Affected: 2009.1
_______________________________________________________________________

Problem Description:

Multiple vulnerabilities has been found and corrected in transmission:

Cross-site request forgery (CSRF) vulnerability in Transmission 1.5
before 1.53 and 1.6 before 1.61 allows remote attackers to hijack
the authentication of unspecified victims via unknown vectors
(CVE-2009-1757).

Directory traversal vulnerability in libtransmission/metainfo.c in
Transmission 1.22, 1.34, 1.75, and 1.76 allows remote attackers to
overwrite arbitrary files via a .. (dot dot) in a pathname within a
.torrent file (CVE-2010-0012).

The updated packages have been patched to correct these issues.
_______________________________________________________________________

References:

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2009-1757
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2010-0012
_______________________________________________________________________

Updated Packages:

Mandriva Linux 2009.1:
0b4b88d4d793c3f7091163838002eb7f 2009.1/i586/transmission-1.51-1.1mdv2009.1.i586.rpm
900c75c6bf2f4bf67bf8a29a05f6c9da 2009.1/SRPMS/transmission-1.51-1.1mdv2009.1.src.rpm

Mandriva Linux 2009.1/X86_64:
1d3e815ab686bd4c7643feee30dec820 2009.1/x86_64/transmission-1.51-1.1mdv2009.1.x86_64.rpm
900c75c6bf2f4bf67bf8a29a05f6c9da 2009.1/SRPMS/transmission-1.51-1.1mdv2009.1.src.rpm
_______________________________________________________________________

To upgrade automatically use MandrivaUpdate or urpmi. The verification
of md5 checksums and GPG signatures is performed automatically for you.

All packages are signed by Mandriva for security. You can obtain the
GPG public key of the Mandriva Security Team by executing:

gpg --recv-keys --keyserver pgp.mit.edu 0x22458A98

You can view other update advisories for Mandriva Linux at:

http://www.mandriva.com/security/advisories

If you want to report vulnerabilities, please contact

security_(at)_mandriva.com
_______________________________________________________________________

Type Bits/KeyID Date User ID
pub 1024D/22458A98 2000-07-10 Mandriva Security Team
<security*mandriva.com>
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFLVIHdmqjQ0CJFipgRAk+BAKDrfK3oa02S22eWaXZPg77viZZiOgCg0S7R
dj5nUTemdpNkktwXuQHWJCA=
=/DJ5
-----END PGP SIGNATURE-----

_______________________________________________
Full-Disclosure - We believe in it.
Charter: http://lists.grok.org.uk/full-disclosure-charter.html
Hosted and sponsored by Secunia - http://secunia.com/



Relevant Pages

  • [ MDVSA-2010:013 ] transmission
    ... Multiple vulnerabilities has been found and corrected in transmission: ... The updated packages have been patched to correct these issues. ... Mandriva Linux 2009.1/X86_64: ...
    (Bugtraq)
  • [Full-disclosure] [ MDVSA-2013:042 ] krb5
    ... Multiple vulnerabilities has been discovered and corrected in krb5: ... An attacker could use this vulnerability to execute ... The updated packages have been patched to correct these issues. ... All packages are signed by Mandriva for security. ...
    (Full-Disclosure)
  • [ MDVSA-2013:042 ] krb5
    ... Multiple vulnerabilities has been discovered and corrected in krb5: ... An attacker could use this vulnerability to execute ... The updated packages have been patched to correct these issues. ... All packages are signed by Mandriva for security. ...
    (Bugtraq)
  • [Full-disclosure] [ MDVSA-2013:115 ] php-ZendFramework
    ... Updated php-ZendFramework packages fix security vulnerabilities: ... All packages are signed by Mandriva for security. ...
    (Full-Disclosure)
  • [ MDVSA-2011:089 ] mplayer
    ... Multiple vulnerabilities have been identified and fixed in mplayer: ... FFmpeg 0.5 allows remote attackers to cause a denial of service ... The updated packages have been patched to correct these issues. ... Mandriva Linux 2010.1/X86_64: ...
    (Bugtraq)